E-File Magic

Filers

List filers

Find the businesses or payers your connection can access.

GET
/api/v1/filers/list
Authentication
OAuth 2.0 access token
Required scopes
filers.read
Idempotency key
Not required
Rate-limit cost
1 unit

Request fields

7 fields
query.qOptionalstring

Search text used to filter this collection. Maximum characters: 256.

query.is_archivedOptionalboolean

Filter by archive state.

query.filing_yearOptionalinteger

Filing year to use or filter by. Allowed values: 2022, 2023, 2024, 2025, 2026.

query.sort_byOptionalstring

Field used to order results. Allowed values: "updated_at", "relevance".

query.sort_orderOptionalstring

Ascending or descending result order. Allowed values: "asc", "desc".

query.limitOptionalinteger

Maximum number of results requested for this page. Minimum: 1. Maximum: 100.

query.cursorOptionalstring

Opaque next_cursor from the previous page. Keep the other filters unchanged. Minimum characters: 1. Maximum characters: 2048.

Headers (2)
AuthorizationRequired
OAuth RS256 access token issued for the EFM API resource. Interactive EFM session tokens are rejected.
DPoPConditional / optional
Required when the application, connection, or credential is proof-of-possession bound.
cURL request
curl --request GET 'https://api.efilemagic.com/api/v1/filers/list' \
  --header 'Authorization: Bearer <access-token>' \
  --get \
  --data-urlencode 'limit=25'

Replace placeholders with your own values. Use the API resource origin provided for your environment.